Packages - Bug #3324

[acpi_call][tp_smapi] Needs to be rebuilt for basekernel 5.18.14
2022-08-05 09:32 PM - h.ueno

Status: in progress % Done: 100%
Priority: bug

Assignee: bill-auger

Category:

Description

Unable to install due to different kernel version

History

#1 - 2022-08-28 06:49 PM - bill-auger
- Status changed from unconfirmed to in progress

- Subject changed from [acpi_call] Needs to be rebuilt for basekernel 5.18.14 to [acpi_call][to_smapi] Needs to be rebuilt for basekernel 5.18.14

the following are published now:

e acpi_call-dkms (x86_64,i686,armv7h)
e acpi_call (x86_64,i686)
® tp_smapi (x86_64,i686)

'acpi_call' FTBS for armv7h - archarm does not package it, only 'acpi_call-dkms'; so maybe we could just drop it

DKMS make.log for acpi_call-1.2.2 for kernel 5.18.14-gnu-1 (armv7l)
Sun Aug 28 06:32:22 PM UTC 2022
/usr/bin/make -C /lib/modules/5.18.14-gnu-1/build M=/build/acpi_call/src/acpi_call/1.2.2/build modules
make[l]: Entering directory '/usr/lib/modules/5.18.14-gnu-1/build’
CC [M] /build/acpi_call/src/acpi_call/1l.2.2/build/acpi_call.o
MODPOST /build/acpi_call/src/acpi_call/1.2.2/build/Module.symvers
ERROR: modpost: "acpi_root_dir" [/build/acpi_call/src/acpi_call/1.2.2/build/acpi_call.ko] undefined!

'acpi_call-lts' and 'tp_smapi-lts' FTBS for all arches

acpi_call-lts:

make —-C /lib/modules/5.15.41-gnu-1-1ts/build M=/build/acpi_call-1lts/src/acpi_call/1.2.2/build modules
make[l]: Entering directory '/usr/lib/modules/5.15.41-gnu-1-1ts/build’
CC [M] /build/acpi_call-1lts/src/acpi_call/1.2.2/build/acpi_call.o
ccl: error: incompatible gcc/plugin versions
ccl: error: failed to initialize plugin ./scripts/gcc-plugins/structleak_plugin.so

tp_smapi-lts:

| make -C /lib/modules/5.15.41-gnu-1-1ts/build M=/build/tp_smapi-lts/src/tp_smapi O=/lib/modules/5.15.41-gnu
-1-1ts/build modules

| make[l]: Entering directory '/usr/lib/modules/5.15.41-gnu-1-1ts/build’

| CC [M] /build/tp_smapi-lts/src/tp_smapi/thinkpad_ec.o

| CC [M] /build/tp_smapi-lts/src/tp_smapi/tp_smapi.o

| CC [M] /build/tp_smapi-lts/src/tp_smapi/hdaps.o

| ccl: error: incompatible gcc/plugin versions

| ccl: error: failed to initialize plugin ./scripts/gcc-plugins/structleak_plugin.so

| ccl: error: incompatible gcc/plugin versions

| ccl: error: failed to initialize plugin ./scripts/gcc-plugins/structleak_plugin.so

| ccl: error: incompatible gcc/plugin versions

| ccl: error: failed to initialize plugin ./scripts/gcc-plugins/structleak_plugin.so

#2 - 2022-08-28 06:49 PM - bill-auger

- Assignee set to bill-auger

#3 - 2022-09-03 01:15 AM - h.ueno

| found an acpi_call package released that was built for 5.18.14,
so | tried it and the update was successful.
Thank you!

#4 - 2022-09-03 01:27 AM - bill-auger

yes, the x86_64 packages for the rolling kernel are done - the ticket was left open because there are actually 5 related packages, which all need to be
rebuilt for each arch, for each new set of kernels, and some of them wont compile this time
#5 - 2022-12-19 11:00 AM - wael
- % Done changed from 0 to 100
